# Selected_Consumer_Offer

**Overview**
- This API enables external vendors to identify the product offer selected by a consumer
and returns the necessary information to guide the consumer through completing their
Momnt application and accepting the loan terms.
- `offer_uuid` is the UUID of the selected offer, as provided in the Soft Pull response.

Endpoint: PATCH /api/v1/sponsor/consumers/offers/{offer_uuid}/select/
Version: 1.0.0 (sponsor_consumer_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `offer_uuid` (string, required)

## Request fields (application/json):

  - `request_user_id` (string)
    The ID of the user in the partner system making the application soft pull request.

  - `external_application_id` (string)
    The unique identifier in the partner system for this loan application.

## Response 200 fields (application/json):

  - `consumer_invitation_link` (string, required)
    Momnt's Consumer Invitation ID.

## Callback:

  - `Consumer Application Callback` (unknown)
    **Consumer Application Callback (POST)**
**Overview**
After the external vendor initiates a consumer loan soft credit pull and the consumer selects a loan offer
within the vendor's application, they are routed to the Momnt consumer application workflow to review and
accept the loan terms. Once the consumer confirms their offer and accepts the terms, Momnt will send a
callback to the sponsor_callback_url with details about the consumer's application.
**Requirements**
- A successful POST request must have been made to begin the consumer application soft pull of credit.
- The consumer must complete the loan application within the user interface.
- Basic authentication (username/password) is supported and pre-shared between Momnt and the sponsor.

## Callback response 200:

  - `200` (unknown)
    No response body

